Page 2 of 25 FirstFirst 123412 ... LastLast
Results 11 to 20 of 243

Thread: AMD Catalyst 9.8 Delivers New Kernel Support

  1. #11
    Join Date
    Jul 2008
    Location
    Greece
    Posts
    3,788

    Default

    Quote Originally Posted by cruiseoveride View Post
    91.7mb? Don't you just love to hate AMD/ATi
    274MB unpacked

  2. #12
    Join Date
    Jul 2008
    Location
    Greece
    Posts
    3,788

    Default

    lol, I just got a feed item from their feed about the new release. I try to open it:

    "File not found".

    Extraordinary support.

  3. #13
    Join Date
    Nov 2007
    Location
    /dev/null
    Posts
    17

    Default

    Quote Originally Posted by blindfrog View Post
    Great! Finally I can switch to F11 repos and do yum upgrade
    Don't count on it...looks like FC11 + DRI2 + FGLRX = FTL

    Each time I use FGLRX on FC11 X86_64 I get hard locks after using Gnome for about 1-10 minutes (nothing in the logs).


    Does any one have better experience?

    I am using an HP 6930p with RadeonHD 3650

  4. #14
    Join Date
    Oct 2007
    Location
    Toronto-ish
    Posts
    7,402

    Default

    I probably don't need to say this, but just wanted to make sure you *were* disabling kernel modesetting before running fglrx.

  5. #15
    Join Date
    Nov 2007
    Location
    /dev/null
    Posts
    17

    Default

    Quote Originally Posted by bridgman View Post
    I probably don't need to say this, but just wanted to make sure you *were* disabling kernel modesetting before running fglrx.
    AFAIK KMS is not working. but i do not have it specifically disabled nor am I really sure how one would go about disabling. :/

    BTW bridgman I drive by the AMD building in Sunnyvale everyday on the way to work

    Edit:

    I do have the following in my blacklist and a recompiled INITRD

    # Radeon and DRM
    blacklist drm
    blacklist i2c_core
    blacklist i2c_algo_bit
    blacklist radeon

  6. #16
    Join Date
    Oct 2007
    Location
    Toronto-ish
    Posts
    7,402

    Default

    Yeah, after I posted that I remembered that fglrx only supports 6xx and up which don't have KMS in F11.

  7. #17
    Join Date
    Nov 2007
    Location
    /dev/null
    Posts
    17

    Default

    Quote Originally Posted by bridgman View Post
    Yeah, after I posted that I remembered that fglrx only supports 6xx and up which don't have KMS in F11.
    hehe no worries.

    I realize that FC11 is unsupported but I am curious to know what the issue is. Maybe it is not a DRI2 issue and I just think that because on the same HW in FC10 FGLRX works but in FC11 no love. I am also happy to hear that i am not the only one that has this issue.

  8. #18
    Join Date
    Mar 2008
    Location
    Istanbul
    Posts
    134

    Default

    There is some change with xv on 4850 card. I got cropped XV output before. But now, movies are not cropped. Computer "freezing" for 2-3 seconds some times, except that its good release I think.

  9. #19
    Join Date
    Aug 2008
    Location
    Finland
    Posts
    1,578

    Default

    Yeah, I don't think KMS gets enabled by default yet in F11 for r6xx/r7xx. It does in current Rawhide though so you gotta play pretty careful.

  10. #20

    Default

    Anyone else having trouble getting 9.8 to compile on 64-bit F11 with kernel-2.6.29.6-217.2.7.fc11.x86_64 ? My fglrx-install.log file says:

    Code:
    [Message] Kernel Module : Trying to install a precompiled kernel module.
    [Message] Kernel Module : Precompiled kernel module version mismatched.
    [Message] Kernel Module : Found kernel module build environment, generating kernel module now.
    AMD kernel module generator version 2.1
    doing Makefile based build for kernel 2.6.x and higher
    rm -rf *.c *.h *.o *.ko *.GCC* .??* *.symvers
    make -C /lib/modules/2.6.29.6-217.2.7.fc11.x86_64/build SUBDIRS=/lib/modules/fglrx/build_mod/2.6.x modules
    make[1]: Entering directory `/usr/src/kernels/2.6.29.6-217.2.7.fc11.x86_64'
      CC [M]  /lib/modules/fglrx/build_mod/2.6.x/firegl_public.o
      CC [M]  /lib/modules/fglrx/build_mod/2.6.x/kcl_acpi.o
    /lib/modules/fglrx/build_mod/2.6.x/kcl_acpi.c:431:6: warning: #warning "ACPI notification wrapping won't work."
    /lib/modules/fglrx/build_mod/2.6.x/kcl_acpi.c:464:6: warning: #warning "ACPI notification wrapping won't work."
    /lib/modules/fglrx/build_mod/2.6.x/kcl_acpi.c:490:6: warning: #warning "ACPI notification wrapping won't work."
    /lib/modules/fglrx/build_mod/2.6.x/kcl_acpi.c:514:6: warning: #warning "ACPI notification wrapping won't work."
      CC [M]  /lib/modules/fglrx/build_mod/2.6.x/kcl_agp.o
      CC [M]  /lib/modules/fglrx/build_mod/2.6.x/kcl_debug.o
      CC [M]  /lib/modules/fglrx/build_mod/2.6.x/kcl_ioctl.o
      CC [M]  /lib/modules/fglrx/build_mod/2.6.x/kcl_io.o
      CC [M]  /lib/modules/fglrx/build_mod/2.6.x/kcl_pci.o
      CC [M]  /lib/modules/fglrx/build_mod/2.6.x/kcl_str.o
      CC [M]  /lib/modules/fglrx/build_mod/2.6.x/kcl_wait.o
      LD [M]  /lib/modules/fglrx/build_mod/2.6.x/fglrx.o
      Building modules, stage 2.
      MODPOST 1 modules
      CC      /lib/modules/fglrx/build_mod/2.6.x/fglrx.mod.o
      LD [M]  /lib/modules/fglrx/build_mod/2.6.x/fglrx.ko
    make[1]: Leaving directory `/usr/src/kernels/2.6.29.6-217.2.7.fc11.x86_64'
    build succeeded with return value 0
    duplicating results into driver repository...
    done.
    You must change your working directory to /lib/modules/fglrx
    and then call ./make_install.sh in order to install the built module.
    - recreating module dependency list
    - trying a sample load of the kernel modules
    failed.
    [Error] Kernel Module : Failed to install compiled kernel module - please consult readme.
    Hardware: Phenom II, AMD780G (Radeon HD 3200).

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •